How to convert DVD to DivX?

Step 1: Install DivX codec

To encode and playback DivX Video, your computer must have DivX codec installed. If not, you can download Free DivX 4.12 codec by click here and install it. Or you can also download the latest DivX codec from its official website (http://www.divx.com/divx/windows).

Step 2: Choose DivX codec in Magic DVD Ripper

Choose DivX codec
1. Launch Magic DVD Ripper.
2. Click "Options" on the main menu and select "Setting...".
3. Click the "Convert" tab. Then click the "AVI" tab.
4. Choose DivX codec from the "Video Codec" dropdown list. If you can't find DivX codec in the dropdown list, please install it first.
5. Press "Ok" button to save.

Step 3: Convert DVD to DivX with Magic DVD Ripper

Convert DVD to DivX with Magic DVD Ripper
1. Launch Magic DVD Ripper and click the Convert tab.
2. Insert your DVD into your DVD-ROM drive.
3. Choose Audio and Subtitle if necessary.
4. Choose "AVI (DivX,...)" from the Type dropdown list.
5. Choose appropriate Split mode if necessary.
6. Press the "Start" button to start ripping.


How to get higher quality of DivX movies and suitable file size?

Step 1: Adjust the parameters of DivX codec

Launch Magic DVD Ripper. Choose "Settings..." from the Options menu. And when the Setting window comes up, click the "convert" tab and then click the "AVI" tab. Click the "Configure..." button. Then a window will present all the parameters of DivX codec as shown below.
Adjust the parameters of DivX codec
The Encode Performance option affect the quality. You can choose a appropriate option to get higher quality. But higher quality and compression, lower speed.
The Bitrate parameter is the key to determining quality. Higher value, higher quality but bigger file size. To hit a target file size you can use Bitrate Calculator to calculate the bitrate. Click the "Bitrate Calculator" button in the settings window of Magic DVD Ripper, the calculator window will appear as shown below.
Calculate the video bitrate
Simply enter your target file size, the length of your DVD movie, and the audio bitrate. Then press the Calculate button. The value of video bitrate will appear. Then you can open the configuration window of DivX codec and set the Bitrate parameter to this value.

Step 2. Increase the resolution of AVI

The resolution is also a factor of influencing quality. You can increase the resolution to get higher quality. Please note you must make the resolution keep 4:3 to get the correct aspect ratio, since the aspect ratio of the computer screen is 4:3. And because the resolution of source DVD movie is 720*480, Increasing the resolution too much will not improve the quality. The highest value recommended is 640*480.
You can change the resolution in the AVI Options of the settings window. Then press the OK button to save it.
Increase the resolution of AVI
Please note: If you want to play the DivX Video on widescreen monitor, please change the resolution of AVI to 16:9 like 640*360 and choose "Full (no changes)" from the Zoom dropdown list.


How to convert DVD to WMV?

Step 1: Choose WMV Profile in Magic DVD Ripper

Choose WMV Profile
1. Launch Magic DVD Ripper.
2. Click "Options" on the main menu and select "Setting...".
3. Click the "Convert" tab. Then click the "WMV" tab.
4. Choose the system profile you need from the "System Profile" dropdown list. Or you can choose a external profile by checking the "Custom Profile" option. If you need build your own profile, please download Windows Media Encoder from Microsoft's offical website and install it. Then you can find Windows Media Profile Editor in its utilities.
5. Press "OK" button to save.

Step 2: Convert DVD to WMV with Magic DVD Ripper

Convert DVD to WMV with Magic DVD Ripper
1. Launch Magic DVD Ripper and click the Convert tab.
2. Insert your DVD into your DVD-ROM drive.
3. Choose Audio and Subtitle if necessary.
4. Choose "Windows Media Video (WMV)" from the Type dropdown list.
5. Choose appropriate Split mode if necessary.
6. Press the "Start" button to start ripping.


How to convert DVD to iPod?

Convert DVD to iPod with Magic DVD Ripper
1. Launch Magic DVD Ripper and click the Convert tab.
2. Insert your DVD into your DVD-ROM drive.
3. Choose Audio and Subtitle if necessary.
4. Choose "iPod" from the Type dropdown list.
5. Choose appropriate Split mode if necessary.
6. Press the "Start" button to start ripping.


How to convert DVD to PSP?

Step 1: Convert DVD to PSP with Magic DVD Ripper

Convert DVD to PSP with Magic DVD Ripper
1. Launch Magic DVD Ripper and click the Convert tab.
2. Insert your DVD into your DVD-ROM drive.
3. Choose Audio and Subtitle if necessary.
4. Choose "PSP" from the Type dropdown list.
5. Choose appropriate Split mode if necessary.
6. Press the "Start" button to start ripping.

Step 2: Transfer the mp4 file to your PSP

Please connect your PSP to your computer. And then copy the mp4 file to the folder '\MP_ROOT\100MNV01' on your PSP.
Please note: the file name must be M4V*****.mp4 (* is a digital), and it must be transfered to the folder '\MP_ROOT\100MNV01'. If the folder doesn't exist, please create it first.


How to convert DVD to VCD and burn it to CD-R with Nero?

Step 1: Convert DVD to VCD with Magic DVD Ripper

Convert DVD to VCD with Magic DVD Ripper
1. Launch Magic DVD Ripper and click the Convert tab.
2. Insert your DVD into your DVD-ROM drive.
3. Choose Audio and Subtitle if necessary.
4. Choose "Video CD (VCD/MPEG1)" from the Type dropdown list.
5. Choose appropriate Split mode if necessary.
6. Press the "Start" button to start ripping.

Step 2: Burn .mpg file to CD-R disc with Nero

Launch Nero Express. Select your CD-R/RW drive from the "Which recorder would you like to use?" drop-down box. And then select Videos/Pictures > Video CD.
From this next window, click "Add" to add .mpg file.
This window will appear that looks very similar to Windows Explorer.
Select the .mpg file got from Magic DVD Ripper (For example, it's "F:\temp\HOLLOWMAN\VTS_01.mpg" in the illustration of Step 1) and click "Add". Then click "Finished" to close this window.

When you are ready, click "Next" to proceed to the next window to start the burn process.


How to convert DVD to SVCD and burn it to CD-R with Nero?

Step 1: Convert DVD to SVCD with Magic DVD Ripper

Convert DVD to SVCD with Magic DVD Ripper
1. Launch Magic DVD Ripper and click the Convert tab.
2. Insert your DVD into your DVD-ROM drive.
3. Choose Audio and Subtitle if necessary.
4. Choose "Super Video CD (SVCD/MPEG2)" from the Type dropdown list.
5. Choose appropriate Split mode if necessary.
6. Press the "Start" button to start ripping.

Step 2: Burn .mpg file to CD-R disc with Nero

Launch Nero Express. Select your CD-R/RW drive from the "Which recorder would you like to use?" drop-down box. And then select Videos/Pictures > Super Video CD (SVCD).
From this next window, click "Add" to add .mpg file.
This window will appear that looks very similar to Windows Explorer.
Select the .mpg file got from Magic DVD Ripper (For example, it's "F:\temp\HOLLOWMAN\VTS_01.mpg" in the illustration of Step 1) and click "Add". Then click "Finished" to close this window.

When you are ready, click "Next" to proceed to the next window to start the burn process.


How to copy DVD to hard disk and playback it?

Step 1: Copy your DVD movie to hard disk with Magic DVD Ripper

If you have enough disk space and want to enjoy entire DVD movie including menus, trailers and special features, please skip to Option A. If you want to save disk space and enjoy main movie only, please skip to Option B.

Option A: Copy disc fully

Copy entire DVD to hard disk with Magic DVD Ripper
1. Launch Magic DVD Ripper and click the Backup tab.
2. Insert your DVD into your DVD-ROM drive.
3. Choose the "Copy disc fully" option.
4. Press the "Start" button to start ripping.

Option B: Copy main movie

Copy main movie to hard disk with Magic DVD Ripper
1. Launch Magic DVD Ripper and click the Backup tab.
2. Insert your DVD into your DVD-ROM drive.
3. Choose the "Copy main movie" option. Magic DVD Ripper will analyze the DVD first. Please wait just a moment. And then the select window will appear as shown above.
4. Select the audio and subtitle that you want to keep and choose a default audio and subtitle. And then click the Ok button to return the main window.
5. Press the "Start" button to start ripping.

Step 2: Playback the movie from hard disk with DVD player software

Usually you can open the VIDEO_TS.IFO file under the VIDEO_TS folder to play the movie from hard drive. Or follow these guides as shown below.
  • PowerDVD

    • Playback DVD movie from hard disk with PowerDVD

    1. Launch PowerDVD.
    2. Click "Select Source" [image] on the user interface and then select "Open DVD File on hard disk drive".
    3. Select the VIDEO_TS folder under the folder with the same name as the movie (For example, it's "F:\temp\HOLLOWMAN\VIDEO_TS\" in the illustration above). And then click OK when you are done. (Note: If you use PowerDVD 4.0, please select the VIDEO_TS.IFO file in the folder)

  • WinDVD

    • 1. Launch WinDVD.
    2. Right click on the play window and choose "Source" -> "DVD from folder".
    3. Select the VIDEO_TS folder under the folder with the same name as the movie (For example, it's "F:\temp\HOLLOWMAN\VIDEO_TS\" in the illustration above). And then click OK when you are done.

  • Windows Media Player

    • 1. Launch Windows Media Player.
    2. Select Open from the File menu.
    3. Choose "Any file (*.*)" from the Files of type drop-down list. And then select the VIDEO_TS.IFO file, in the VIDEO_TS folder under the folder with the same name as the movie (For example, it's "F:\temp\HOLLOWMAN\VIDEO_TS\VIDEO_TS.IFO" in the illustration above). And then click OK when you are done.


How to copy a DVD movie without any loss of quality?

If your DVD movie is DVD5 which is smaller than 4.7 GB (which is actually 4.38 GB in windows), you can copy the full disc to a 4.7 GB blank DVD. Please refer to Option A.
If your DVD movie is DVD9 which is larger than 4.7 GB (which is actually 4.38 GB in windows), you have 3 choices as shown below.
1. You can copy the full disc to a 8.5 GB blank DVD (DVD+R DL or DVD-R DL). Please refer to Option A. But blank DL DVD is expensive and has more compatibility issues with DVD burners and players.
2. You can copy the main movie only, excluding unwanted audios and subtitles, to a 4.7 GB blank DVD. Please refer to Option B. But some main movies are still larger than 4.7 GB (which is actually 4.38 GB in windows).
3. You can split the full disc to two 4.7 GB blank DVDs. Our program will copy the beginning of main movie, menus and extras on disc 1, the rest of main movie on disc 2. Please refer to Option C.

After you copy your DVD to hard drive, you can then burn it to blank DVDs. Please refer to How to burn copied DVD to blank DVD using your burning software?

Option A: Copy disc fully

Copy full DVD to hard disk with Magic DVD Ripper
1. Launch Magic DVD Ripper and click the Backup tab.
2. Insert your DVD into your DVD-ROM drive.
3. Choose the "Copy disc fully" option.
4. Press the "Start" button to start ripping.

Option B: Copy main movie only

1. Launch Magic DVD Ripper and click the Backup tab.
2. Insert your DVD into your DVD-ROM drive.
3. Choose the "Copy main movie" option. Magic DVD Ripper will analyze the DVD first. Please wait just a moment. And then the select window will appear as shown above.
4. Select the audio and subtitle that you want to keep and choose a default audio and subtitle. And then click the Ok button to return the main window. (Note: If the size of the main movie large than a blank DVD5 disc's size, the "Total size" will turn into red color. It means it can't be burned to a blank DVD5 disc. Please unselect some audios or subtitles. If the "Total size" is still red color, please skip to Option C. )
5. Press the "Start" button to start ripping.

Option C: Split DVD-9 to 2 DVD-5

1. Launch Magic DVD Ripper and click the Backup tab.
2. Insert your DVD into your DVD-ROM drive.
3. Choose the "Split DVD-9 into two DVD-5 discs" option.
4. Press the "Start" button to start ripping.


How to compress a DVD9 movie to fit on a 4.7 GB blank DVD?

If your DVD movie is DVD9 which is larger than 4.7 GB (which is actually 4.38 GB in windows) and you want to copy it to a 4.7 GB blank DVD, you can only compress it. It will lose some quality. But usually the quality is acceptable when you enjoy the compressed DVD. (Please note: it may lose more quality of the DVD menu in order to keep the quality of the main movie.)
If you want to copy entire DVD movie including menus, trailers and special features, you can compress full disk. Please refer to Option A. If you want to keep the quality as good as possible, you can compress main movie only. Please refer to Option B.

After you copy your DVD to hard drive, you can then burn it to blank DVDs. Please refer to How to burn copied DVD to blank DVD using your burning software?

Option A: Compress full disc

Compress full DVD to hard disk with Magic DVD Ripper
1. Launch Magic DVD Ripper and click the Backup tab.
2. Insert your DVD into your DVD-ROM drive.
3. Choose the "Copy disc fully" option.
4. A checkbox "Compress the DVD to fit on a single layer disc" will appear, please check it.
5. Press the "Start" button to start ripping.

Option B: Compress main movie only

1. Launch Magic DVD Ripper and click the Backup tab.
2. Insert your DVD into your DVD-ROM drive.
3. Choose the "Copy main movie" option. Magic DVD Ripper will analyze the DVD first. Please wait just a moment. And then the select window will appear as shown above.
4. Select the audio and subtitle that you want to keep and choose a default audio and subtitle. And then click the Ok button to return the main window.
5. If the size of the main movie is large than 4.38 GB, A checkbox "Compress the DVD to fit on a single layer disc" will appear, please check it. Otherwise, the main movie will not be compressed.
6. Press the "Start" button to start ripping.


How to burn copied DVD to blank DVD using your burning software?

Please burn the VIDEO_TS folder of the copied DVD to blank DVD using your burning software. Please note you should burn a DVD-Video disc but not a data disc. The following is a example of using Nero Express.

Launch Nero Express. Select your DVD recorder from the "Which recorder would you like to use?" drop-down box. And then select DVD-Video files.
From this next window, click "Add" to add DVD files.
This window will appear that looks very similar to Windows Explorer.
Select the VIDEO_TS folder of the copied DVD and click "Add". Then click "Finished" to close this window. When you are ready, click "Next" to proceed to the next window to start the burn process.